// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

// tslint:disable
/**
 * eGesetzgebung Platform
 * This is the rest interface offered by the eGesetzgebung Platform backend.  Please provide __JW Access Token__ using button \'Authorize\' to access protected endpoints. Use the following instructions to get token:  1. on CMD/Bash/Terminal: ```curl -d \"client_id=user-management\" -d \"client_secret=INSERT_IAM_SECRET\" -d \"grant_type=password&username=INSERT_USER_EMAIL&password=INSERT_USER_PASSWORD\" \"INSERT_IAM_URL/realms/bund/protocol/openid-connect/token\"``` 2. copy access_token (without quotes, you can use jq or other tools to extract this value automatically) 3. insert value into \'JWToken\' field under \'Authorize\' and press \'Authorize\' 4. now you should have access to user protected endpoint  __FYI:__ token expires after 60 seconds. On non-production systems only a warning is displayed so you can work smoothly, but on production systems you have to frequently provide a new token.
 *
 * The version of the OpenAPI document: 9.0.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import type {
    AktionType,
    BesondereUmstaendeType,
    DrucksachenInfoDTO,
    EuVeranlasstType,
    FarbeType,
    GrundtypType,
    InitiantType,
    PkpGesendetStatusType,
    PkpWorkflowStatusType,
    RegelungsvorhabenTypType,
    RolleLokalType,
    SachgebietType,
    UserEntityResponseDTO,
    VorhabenStatusType,
} from './';

/**
 * @export
 * @interface RegelungsvorhabenEntityFullDTO
 */
export interface RegelungsvorhabenEntityFullDTO {
    /**
     * auch: amtlAbkuerzung
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    abkuerzung: string;
    /**
     * auch: titel
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    kurzbezeichnung: string;
    /**
     * @type {VorhabenStatusType}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    status: VorhabenStatusType;
    /**
     * @type {RegelungsvorhabenTypType}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    vorhabenart: RegelungsvorhabenTypType;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    archiviertAm?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    erstelltAm?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    bearbeitetAm: string;
    /**
     * Wurde das Regelungsvorhaben an PKP gesendet?
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    pkpGesendetAm?: string;
    /**
     * @type {PkpGesendetStatusType}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    pkpStatus?: PkpGesendetStatusType;
    /**
     * @type {PkpWorkflowStatusType}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    pkpWorkflowStatus?: PkpWorkflowStatusType;
    /**
     * @type {FarbeType}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    farbe: FarbeType;
    /**
     * auch: bezeichnung
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    langtitel: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    kurzbeschreibung?: string;
    /**
     * ID des koordinierenden Federführers
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    technischesFfRessort?: string;
    /**
     * ID der federführenden Abteilung
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    technischeFfAbteilung?: string;
    /**
     * ID des federführenden Referat
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    technischesFfReferat?: string;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    bearbeitetVon: UserEntityResponseDTO;
    /**
     * @type {InitiantType}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    initiant: InitiantType;
    /**
     * IDs aller Federführers
     * @type {Array<string>}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    allFfRessorts: Array<string>;
    /**
     * IDs der beteiligten Ressorts
     * @type {Array<string>}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    beteiligteRessorts: Array<string>;
    /**
     * @type {Array<SachgebietType>}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    sachgebiete: Array<SachgebietType>;
    /**
     * @type {GrundtypType}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    grundtyp?: GrundtypType;
    /**
     * @type {Array<BesondereUmstaendeType>}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    besondereUmstaende: Array<BesondereUmstaendeType>;
    /**
     * @type {EuVeranlasstType}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    euVeranlasst?: EuVeranlasstType;
    /**
     * @type {boolean}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    allowedToModify: boolean;
    /**
     * @type {Array<AktionType>}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    aktionen: Array<AktionType>;
    /**
     * Gibt es eine laufende/offene Zuleitung?
     * @type {boolean}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    zuleitungOffen: boolean;
    /**
     * @type {RolleLokalType}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    rolleTyp: RolleLokalType;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    datenblattNummer?: string;
    /**
     * @type {DrucksachenInfoDTO}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    drucksachenInfo?: DrucksachenInfoDTO;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    erstelltVon?: UserEntityResponseDTO;
    /**
     * @type {Array<UserEntityResponseDTO>}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    federfuehrer: Array<UserEntityResponseDTO>;
    /**
     * @type {Array<string>}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    beteiligungBundestag: Array<string>;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenEntityFullDTO
     */
    beteiligungBundesrat?: string;
}


